## node-topcube 0.1.2+ds1

=== Makefile ===
build:
	node-waf build

.PHONY: build

=== debian/changelog ===
node-topcube (0.1.2+ds1-1) unstable; urgency=low

  * Strip sampleapp/ from the original tarball, since it contains
    minified sources for which no uncompressed form is provided
    (and not all of them are available in Debian)

 -- David Paleino <dapal@debian.org>  Tue, 10 Apr 2012 23:10:21 +0200

node-topcube (0.1.2-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Mon, 09 Apr 2012 21:58:42 +0200

=== debian/control ===
Source: node-topcube
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , nodejs-dev
 , libwebkitgtk-dev
 , libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: https://github.com/creationix/topcube
Vcs-Git: git://git.debian.org/pkg-javascript/node-topcube.git
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/node-topcube.git;a=summary

Package: node-topcube
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: simple binding to create a webkit window for Node.js
 Topcube is a module that gives Node.js developers a way to have a desktop
 GUI to their Node.js servers, using HTML5 + CSS3 as the GUI platform.
 .
 Its features are:
  - client/server architecture with communication over HTTP
  - single HTML5 + CSS3-driven window: the client window does not spawn
    popups, support tabs, create additional windows or add any native UI
    components other than what a typical browser pane would provide;
  - the client window runs as a child process of the calling node process.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
endif

%:
	dh $@

get-orig-source:
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--rename \
		--destdir .
	tar xf node-topcube_$(UPVER).orig.tar.gz
	@echo Removing sampleapp/, since it contains minified sources for which \
		no uncompressed form is provided
	rm -vrf creationix-topcube-*/sampleapp/
	tar zcf node-topcube_$(UPVER)+ds1.orig.tar.gz creationix-topcube-*/
	rm -rf creationix-topcube-*/ node-topcube_$(UPVER).orig.tar.gz

## node-topcube 0.2.0%2Bds1

=== Makefile ===
build:
	npm install

clean:
	rm -rf ./build
	rm -rf ./bin/*

.PHONY: build

## node-topcube 0.2.0+ds1

=== wscript ===
import Options
from os import unlink, symlink, popen
from os.path import exists

srcdir = "."
blddir = "build"
VERSION = "0.0.1"

def set_options(opt):
  opt.tool_options("compiler_cxx")

def configure(conf):
  conf.check_tool("compiler_cxx")
  conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', args='--cflags --libs')
  conf.check_cfg(package='glib-2.0', args='--cflags --libs', uselib_store='GLIB')
  conf.check_cfg(package='webkit-1.0', args='--cflags --libs', uselib_store='WEBKIT')

def build(bld):
  obj = bld.new_task_gen("cxx", "program")
  obj.target = "topcube"
  obj.source = "topcube.cpp"
  obj.cxxflags = ["-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
  obj.uselib = "GTK GLIB WEBKIT"

def shutdown():
  if Options.commands['clean']:
    if exists('topcube'): unlink('topcube')

=== debian/changelog ===
node-topcube (0.2.0+ds1-1) unstable; urgency=low

  * Upstream update
  * Build using node-gyp (Closes: #719406)
  * dh 9 for hardening
  * Standards-Version 3.9.4
  * Canonicalize Vcs fields
  * Remove unneeded patch
  * Install topcube in /usr/bin and provide manpage

 -- Jérémy Lal <kapouer@melix.org>  Sat, 26 Oct 2013 14:29:48 +0200

=== debian/control ===
Source: node-topcube
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , node-gyp
 , libwebkitgtk-dev
 , libgtk2.0-dev
Standards-Version: 3.9.4
Homepage: https://github.com/creationix/topcube
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-topcube.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-topcube.git

Package: node-topcube
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: spawn a child webkit window from Node.js
 This module allows one to open a webkit window as a child process,
 with a URL given as parameter.
 The window can handle:
  * setting its title to the web page title, if any
  * handing downloads using gtk file browser
  * opening external URL, with the help of xdg-open
 .
 A typical Node.js application can serve the web pages and open
 a client webkit window to display the GUI and communicate with
 the server using standard web tools.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

dfsgVersion := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
upstreamVersion := $(shell echo $(dfsgVersion) | cut -d+ -f1)
name :=  $(shell dpkg-parsechangelog -SSource)
upstreamName := topcube
tarDir := $(upstreamName)-$(upstreamVersion)
tarName := $(name)_$(dfsgVersion).orig.tar

%:
	dh $@

override_dh_auto_build:
	node-gyp rebuild

override_dh_auto_configure:

# do this when marked-man is available as debian package
# override_dh_manpages:
	# marked-man debian/topcube.1.md > debian/topcube.1

get-orig-source:
	mkdir -p ../tarballs
	uscan \
		--verbose \
		--download-version $(upstreamVersion) \
		--force-download \
		--destdir ../tarballs \
		--rename
	tar xvf ../tarballs/$(name)_$(upstreamVersion).orig.tar.gz
	@echo Repackaging
	rm -rf $(tarDir)/sampleapp
	tar cf $(tarName) $(tarDir)/
	rm -rf $(tarDir)/
	gzip -9 $(tarName)
	mv $(tarName).gz ../tarballs/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
http://githubredir.debian.net/github/creationix/topcube/v(\d+.*)\.tar\.gz
